package com.muyu.service;

import java.util.List;
import com.muyu.domain.WarnRule;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 预警规则Service接口
 *
 * @author muyu
 * @date 2024-09-20
 */
public interface WarnRuleService extends IService<WarnRule> {
    /**
     * 精确查询预警规则
     *
     * @param id 预警规则主键
     * @return 预警规则
     */
    public WarnRule selectWarnRuleById(Long id);

    /**
     * 查询预警规则列表
     *
     * @param warnRule 预警规则
     * @return 预警规则集合
     */
    public List<WarnRule> selectWarnRuleList(WarnRule warnRule);


    /**
     * 添加
     */
    Integer addWarnRule(WarnRule warnRule);


    /**
     * 修改
     */
    Integer updWarnRule(WarnRule warnRule);

}
