package com.muyu.service;

import java.util.List;
import com.muyu.domain.WarnStrategy;
import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.req.WarnStrategyReq;

/**
 * 预警策略Service接口
 *
 * @author muyu
 * @date 2024-09-20
 */
public interface WarnStrategyService extends IService<WarnStrategy> {
    /**
     * 精确查询预警策略
     *
     * @param id 预警策略主键
     * @return 预警策略
     */
    public WarnStrategy selectWarnStrategyById(Long id);

    /**
     * 查询预警策略列表
     *
     * @param warnStrategy 预警策略
     * @return 预警策略集合
     */
    public List<WarnStrategy> selectWarnStrategyList(WarnStrategyReq warnStrategyReq);



    /**
     * 修改
     */
    Integer updWarnStrategy(WarnStrategy warnStrategy);

    /**
     * 添加
     */
    Integer addWarnStrategy(WarnStrategy warnStrategy);

}
